# eric4.Preferences.ConfigurationPages.DebuggerGeneralPage

Module implementing the Debugger General configuration page.

### Global Attributes

None

### Classes

DebuggerGeneralPage | Class implementing the Debugger General configuration page.

### Functions

create | Module function to create the configuration page.

## DebuggerGeneralPage

Class implementing the Debugger General configuration page.

### Derived from

ConfigurationPageBase, Ui_DebuggerGeneralPage

### Class Attributes

None

### Methods

DebuggerGeneralPage | Constructor
on_addAllowedHostButton_clicked | Private slot called to add a new allowed host.
on_allowedHostsList_currentItemChanged | Private method set the state of the edit and delete button.
on_deleteAllowedHostButton_clicked | Private slot called to delete an allowed host.
on_editAllowedHostButton_clicked | Private slot called to edit an allowed host.
save | Public slot to save the Debugger General (1) configuration.

#### DebuggerGeneralPage (Constructor)

DebuggerGeneralPage()

Constructor

#### DebuggerGeneralPage.on_addAllowedHostButton_clicked

on_addAllowedHostButton_clicked()

Private slot called to add a new allowed host.

#### DebuggerGeneralPage.on_allowedHostsList_currentItemChanged

on_allowedHostsList_currentItemChanged(current, previous)

Private method set the state of the edit and delete button.

current
  new current item (QListWidgetItem)
previous
  previous current item (QListWidgetItem)

#### DebuggerGeneralPage.on_deleteAllowedHostButton_clicked

on_deleteAllowedHostButton_clicked()

Private slot called to delete an allowed host.

#### DebuggerGeneralPage.on_editAllowedHostButton_clicked

on_editAllowedHostButton_clicked()

Private slot called to edit an allowed host.

#### DebuggerGeneralPage.save

save()

Public slot to save the Debugger General (1) configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Up